<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    (cleanFilters)="onCleanFilters()"
    [results]="(merchantGroups$ | async)?.filtered"
    [hasFiltredData]="isMerchantGroupsFiltred$ | async"
  >
    <div slot="filters" class="filters">
      <mo-input
        formControlName="search"
        [placeholder]="
          'MERCHANT_MANAGER.MERCHANT_GROUPS.FILTERS.SEARCH_BAR' | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
  </layout-filter-content>
  <div class="buttons">
    <mo-button
      [text]="
        'MERCHANT_MANAGER.MERCHANT_GROUPS.BTN_CREATE_NEW_GROUPS' | translate
      "
      [designClass]="BUTTON_DESIGN_CLASS.INDIGO"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [routerLink]="urlNewGroupDetails"
    >
    </mo-button>
    <mo-button
      [text]="'APP.FILTERS.BTN_SEARCH' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [type]="BUTTON_TYPE.SUBMIT"
    >
    </mo-button>
  </div>
</form>
